<apex:page standardController="Equipment_Correction_Form__c" extensions="EquipmentCorrectionFormControllerX"
           title="Equipment Data Update Detail" lightningStylesheets="true">

    <style>
        .label
        {
            padding-right:20px;
            text-align:right;
            font-size: 91%;
            font-weight:bold;
            width:15%;
        }
        .header
        {
            font-weight:bold;
            color:darkgoldenrod;
        }

    </style>
    <script language='javascript'>
        function display(myimage)
        {
            //KK 6/Apr/2015: change the size to try to fit the image
             html = "<HTML><HEAD><TITLE>Photo</TITLE>" +
              "</HEAD><BODY LEFTMARGIN=0 "
              + "MARGINWIDTH=0 TOPMARGIN=0 MARGINHEIGHT=0><CENTER>"
              + "<IMG SRC='" + myimage + "' BORDER=0 NAME=image "
              + "onload='window.resizeTo(window.outerWidth-window.innerWidth+document.image.width+10,window.outerHeight-window.innerHeight+document.image.height+10);'>"
              + "</CENTER>"
              + "</BODY></HTML>";
             window.opener=self;
            //KK 6/Apr/2015: add resizable and add scrollbars and add toolbar
             popup = window.open('','image', 'toolbar=1, location=0, directories=0, status=no, menubar=0, resizable=1, scrollbars=1, copyhistory=0');
             popup.document.open();
             popup.document.write(html);
             popup.document.focus();
             popup.document.close();
         };

    </script>


    <style type="text/css">
        .custPopupTitle{
            background-color: white;
            border-radius: 5px;
            z-index: 9999;
            left: 50%;
            padding:10px;
            position: absolute;
            /* These are the 3 css properties you will need to change so the popup
            displays in the center of the screen. First set the width. Then set
            margin-left to negative half of what the width is. You can add
            the height property for a fixed size pop up if you want.*/
            width: 500px;
            margin-left: -250px;
            top: 20%;
        }
        .popupBackground{
            background-color:black;
            opacity: 0.20;
            filter: alpha(opacity = 20);
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            z-index: 9998;
        }

    </style>


    <apex:sectionHeader title="Equipment Data Update" subtitle="{!form.Name}"/>
    <apex:form >

        <apex:outputPanel id="tstpopup" rendered="{!displayPopUp}">
            <apex:outputPanel styleClass="popupBackground" layout="block"></apex:outputPanel>
            <apex:outputPanel styleClass="custPopupTitle" layout="block">
                <apex:pageBlock title="Edit Reason: ">
                    <apex:pageBlockSection columns="1">
                        <apex:inputField style="width:400px; resize:none;" value="{!form.Reason__c}"></apex:inputField>
                    </apex:pageBlockSection>
                    <div align="center" draggable="false">
                        <apex:commandButton style="align:center" value="Save" action="{!saveOnPopup}"/>
                        <apex:commandButton style="align:center" value="Cancel" action="{!cancel}"/>
                    </div>
                </apex:pageBlock>
            </apex:outputPanel>
        </apex:outputPanel>

        <apex:pageMessages id="pageMessage"/>
        <apex:pageBlock title="Equipment Data Update Detail" mode="mainDetail" id="mainDetail">
            <apex:pageBlockButtons >
                <apex:commandButton value="Edit" action="{!edit}" rendered="{!isEditable}"/>
                <apex:commandButton value="Delete" action="{!delete}"/>
                <apex:commandButton value="Processed" action="{!closeRequest}"
                                    rerender="detailPanel, mainDetail, pageMessage"
                                    rendered="{!(form.Status__c = 'Open' || form.Status__c = 'Rejected') && isUserAdmin}"/>
                <apex:commandButton value="Reject" action="{!rejectAndNotify}"
                                    rendered="{!form.Status__c == 'Open' && isUserAdmin}"/>
            </apex:pageBlockButtons>
            <!--<c:EquipmentCorrectionFormDetail form="{!form}" photo="{!photo}" id="detailPanel"/>-->
            <apex:pageBlockSection title="Information">
                <apex:outputField value="{!form.Equipment__c}" />
                <apex:outputField value="{!form.Status__c}" />
                <apex:outputField value="{!form.Equipment__r.Location__c}" rendered="{!form.Equipment__r.Location__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Well_Event__c}" rendered="{!form.Equipment__r.Well_Event__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.System__c}" rendered="{!form.Equipment__r.System__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Sub_System__c}" rendered="{!form.Equipment__r.Sub_System__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Yard__c}" rendered="{!form.Equipment__r.Yard__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Functional_Equipment_Level__c}" rendered="{!form.Equipment__r.Functional_Equipment_Level__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Facility__c}" rendered="{!AND(form.Equipment__r.Facility__c != null, form.Equipment__r.Location__c == null, form.Equipment__r.Well_Event__c == null)}"/>
                <apex:outputField value="{!form.Equipment_Status__c}" />
                <apex:outputField value="{!form.Equipment__r.Location__r.Route__c}" rendered="{!form.Equipment__r.Location__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Well_Event__r.Route__c}" rendered="{!form.Equipment__r.Well_Event__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.System__r.Route__c}" rendered="{!form.Equipment__r.System__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Sub_System__r.Route__c}" rendered="{!form.Equipment__r.Sub_System__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Yard__r.Route__c}" rendered="{!form.Equipment__r.Yard__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Functional_Equipment_Level__r.Route__c}" rendered="{!form.Equipment__r.Functional_Equipment_Level__c != null}"/>
                <apex:outputField value="{!form.Equipment__r.Facility__r.Plant_Section__c}" rendered="{!AND(form.Equipment__r.Facility__c != null, form.Equipment__r.Location__c == null, form.Equipment__r.Well_Event__c == null)}"/>
                <apex:outputText value="" />
                <apex:outputField value="{!form.Equipment__r.Planner_Group__c}" />
            </apex:pageBlockSection>

            <apex:pageBlockSection title="Data Correction" columns="1">
                <apex:panelGrid columns="3" width="100%" columnClasses="label, dataCol, dataCol" rules="rows">
                    <apex:outputText />
                    <apex:outputText value="Current Value" styleClass="header"/>
                    <apex:outputText value="New Value" styleClass="header"/>
                    <apex:outputLabel value="{!$ObjectType.Equipment__c.Fields.Description_of_Equipment__c.Label}"/>
                    <apex:outputField value="{!form.Description_old__c}" />
                    <apex:outputField value="{!form.Description_new__c}" />

                    <apex:outputLabel value="{!$ObjectType.Equipment__c.Fields.Manufacturer__c.Label}" />
                    <apex:outputField value="{!form.Manufacturer_old__c}" />
                    <apex:outputField value="{!form.Manufacturer_new__c}" />

                    <apex:outputLabel value="{!$ObjectType.Equipment__c.Fields.Model_Number__c.Label}" />
                    <apex:outputField value="{!form.Model_Number_old__c}" />
                    <apex:outputField value="{!form.Model_Number_new__c}" />

                    <apex:outputLabel value="{!$ObjectType.Equipment__c.Fields.Manufacturer_Serial_No__c.Label}"/>
                    <apex:outputField value="{!form.Manufacturer_Serial_No_old__c}" />
                    <apex:outputField value="{!form.Manufacturer_Serial_No_new__c}" />

                    <apex:outputLabel value="{!$ObjectType.Equipment__c.Fields.Tag_Number__c.Label}" />
                    <apex:outputField value="{!form.Tag_Number_old__c}" />
                    <apex:outputField value="{!form.Tag_Number_new__c}" />

                    <apex:outputLabel value="Attachment"/>
                    <apex:image height="150px" width="150px" url="/servlet/servlet.FileDownload?file={!photo.Id}" rendered="{!If(CONTAINS(photo.ContentType, 'image'), true, false) && photoFile.ContentDocumentId == null}" onclick="javascript:display('/servlet/servlet.FileDownload?file={!photo.Id}')"/>
                    <apex:outputLink value="/servlet/servlet.FileDownload?file={!photo.Id}" target="_blank" rendered="{!If(CONTAINS(photo.ContentType, 'image'), false, true) && photoFile.ContentDocumentId == null}">{!photo.Name}</apex:outputLink>
                    <apex:outputLink value="/{!photoFile.ContentDocumentId}" target="_blank" rendered="{!photoFile.ContentDocumentId != null}">{!photoFile.ContentDocument.Title}</apex:outputLink>

                </apex:panelGrid>
            </apex:pageBlockSection>

            <apex:pageBlockSection title="Additional Information" columns="2">
                <apex:outputField value="{!form.Safety_Critical_Equipment__c}" />
                <apex:outputField value="{!form.Regulatory_Equipment__c}" />
                <apex:outputField value="{!form.Expiration_Date__c}" />
            </apex:pageBlockSection>

            <apex:pageBlockSection title="Comments">
                <apex:outputField value="{!form.Comments__c}" />
                <apex:outputField value="{!form.Reason__c}"/>
            </apex:pageBlockSection>
            <apex:pageBlockSection title="System Information">
                <apex:outputField value="{!form.CreatedById}" />
                <apex:outputField value="{!form.LastModifiedById}" />

                <apex:outputField value="{!form.CreatedDate}" />
                <apex:outputField value="{!form.LastModifiedDate}" />
            </apex:pageBlockSection>
        </apex:pageBlock>
    </apex:form>

</apex:page>